# --------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# --------------------------------------------------------------------------------------------

from azure.cli.core import AzCommandsLoader
from azext_hcs._help import helps


class HcsCommandsLoader(AzCommandsLoader):

    def __init__(self, cli_ctx=None):
        from azure.cli.core.commands import CliCommandType
        from azext_hcs._client_factory import cf_hcs
        hcs_custom = CliCommandType(
            operations_tmpl='azext_hcs.custom#{}',
            client_factory=cf_hcs)
        super(HcsCommandsLoader, self).__init__(cli_ctx=cli_ctx,
                                                custom_command_type=hcs_custom)

    def load_command_table(self, args):
        from azext_hcs.commands import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from azext_hcs._params import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = HcsCommandsLoader
