# --------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# --------------------------------------------------------------------------------------------

# from azure.cli.core.commands import CliCommandType


def load_command_table(self, _):

    # hcs_sdk = CliCommandType(
    #    operations_tmpl='<PATH>.operations#None.{}',
    #    client_factory=cf_hcs)

    with self.command_group('hcs') as g:
        g.custom_command('browse', 'browse_hcs')
        g.custom_command('create', 'create_hcs')
        g.custom_command('create-token', 'create_token')
        g.custom_command('create-federation-token', 'create_federation_token')
        g.custom_command('show-federation', 'show_federation')
        g.custom_command('delete', 'delete_hcs')
        g.custom_command('generate-helm-values', 'generate_helm_values_file')
        g.custom_command('generate-kubernetes-secret',
                         'generate_kubernetes_secret')
        g.custom_command('get-config', 'get_config')
        g.custom_command('list', 'list_hcs')
        g.custom_command('list-regions', 'list_regions')
        g.custom_command('list-versions', 'list_versions')
        g.custom_command('update', 'update_hcs')
        g.custom_command('show', 'show_hcs')

    with self.command_group('hcs billing') as g:
        g.custom_command('get-info', 'get_billing_info')
        g.custom_command('get-report', 'get_billing_report')

    with self.command_group('hcs snapshot') as g:
        g.custom_command('create', 'create_snapshot')
        g.custom_command('delete', 'delete_snapshot')
        g.custom_command('list', 'list_snapshots')
        g.custom_command('restore', 'restore_snapshot')
        g.custom_command('rename', 'rename_snapshot')

    with self.command_group('hcs', is_preview=True):
        pass
